# Uses of Class
org.springframework.cglib.core.Signature

Packages that use Signature
Package
Description
org.springframework.cglib.core
Spring's repackaging of the CGLIB core package (for internal use only).
org.springframework.cglib.proxy
Spring's repackaging of the CGLIB proxy package (for internal use only).
org.springframework.cglib.reflect
Spring's repackaging of the CGLIB reflect package (for internal use only).
org.springframework.cglib.transform.impl
Spring's repackaging of the CGLIB transform impl package (for internal use only).

## Uses of Signature in org.springframework.cglib.core

Fields in org.springframework.cglib.core declared as Signature
Modifier and Type
Field
Description
`static final Signature`
Constants.`SIG_STATIC`
Methods in org.springframework.cglib.core that return Signature
Modifier and Type
Method
Description
`Signature`
CodeEmitter.`getSignature()`
`abstract Signature`
MethodInfo.`getSignature()`
`static Signature`
ReflectUtils.`getSignature(Member member)`
`static Signature`
TypeUtils.`parseConstructor(String sig)`
`static Signature`
TypeUtils.`parseConstructor(Type[] types)`
`static Signature`
TypeUtils.`parseSignature(String s)`
Methods in org.springframework.cglib.core with parameters of type Signature
Modifier and Type
Method
Description
`CodeEmitter`
ClassEmitter.`begin_method(int access, Signature sig, Type[] exceptions)`
`static void`
EmitUtils.`factory_method(ClassEmitter ce, Signature sig)`
`void`
CodeEmitter.`invoke_constructor(Type type, Signature sig)`
`void`
CodeEmitter.`invoke_constructor_this(Signature sig)`
`void`
CodeEmitter.`invoke_interface(Type owner, Signature sig)`
`void`
CodeEmitter.`invoke_static(Type owner, Signature sig)`
Deprecated.
`void`
CodeEmitter.`invoke_static(Type owner, Signature sig, boolean isInterface)`
`void`
CodeEmitter.`invoke_static_this(Signature sig)`
`void`
CodeEmitter.`invoke_virtual(Type owner, Signature sig)`
`void`
CodeEmitter.`invoke_virtual_this(Signature sig)`
`void`
CodeEmitter.`super_invoke(Signature sig)`
`void`
CodeEmitter.`super_invoke_constructor(Signature sig)`

## Uses of Signature in org.springframework.cglib.proxy

Methods in org.springframework.cglib.proxy that return Signature
Modifier and Type
Method
Description
`Signature`
MethodProxy.`getSignature()`
Return the signature of the proxied method.
Methods in org.springframework.cglib.proxy with parameters of type Signature
Modifier and Type
Method
Description
`void`
InterfaceMaker.`add(Signature sig, Type[] exceptions)`
Add a method signature to the interface.
`static MethodProxy`
MethodProxy.`find(Class type, Signature sig)`
Return the `MethodProxy` used when intercepting the method matching the given signature.

## Uses of Signature in org.springframework.cglib.reflect

Methods in org.springframework.cglib.reflect with parameters of type Signature
Modifier and Type
Method
Description
`abstract int`
FastClass.`getIndex(Signature sig)`

## Uses of Signature in org.springframework.cglib.transform.impl

Methods in org.springframework.cglib.transform.impl with parameters of type Signature
Modifier and Type
Method
Description
`CodeEmitter`
AddDelegateTransformer.`begin_method(int access, Signature sig, Type[] exceptions)`
`CodeEmitter`
AddInitTransformer.`begin_method(int access, Signature sig, Type[] exceptions)`
`CodeEmitter`
InterceptFieldTransformer.`begin_method(int access, Signature sig, Type[] exceptions)`
`CodeEmitter`
UndeclaredThrowableTransformer.`begin_method(int access, Signature sig, Type[] exceptions)`